Skip to main content
GET
/
v2
/
reminders
Get all Reminders
curl --request GET \
  --url https://api.affinity.co/v2/reminders \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": 4503599627370496,
      "content": "<string>",
      "dueDate": "2023-11-07T05:31:56Z",
      "creator": {
        "id": 1
      },
      "owner": {
        "id": 1
      },
      "completer": {
        "id": 1
      },
      "company": {
        "id": 4503599627370496
      },
      "person": {
        "id": 1
      },
      "opportunity": {
        "id": 4503599627370496
      },
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "type": "<string>",
      "completedAt": "2023-11-07T05:31:56Z",
      "recurrence": null
    }
  ],
  "pagination": {
    "prevUrl": "https://api.affinity.co/v2/foo?cursor=ICAgICAgYmVmb3JlOjo6Nw",
    "nextUrl": "https://api.affinity.co/v2/foo?cursor=ICAgICAgIGFmdGVyOjo6NA",
    "totalCount": 4503599627370495
  }
}

Documentation Index

Fetch the complete documentation index at: https://developer.affinity.co/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

totalCount
boolean
default:false

Include total count of the collection in the pagination response

cursor
string

Cursor for the next or previous page

Example:

"ICAgICAgYmVmb3JlOjo6Nw"

limit
integer<int32>
default:100

Number of items to include in the page

Required range: 1 <= x <= 100
Example:

100

filter
string

Filter options

Response

OK

A page of Reminder objects.

data
(reminders.OneTimeReminder · object | reminders.RecurringReminder · object)[]
required

A page of Reminder objects.

Maximum array length: 100

A reminder that fires once on dueDate.

pagination
PaginationWithTotalCount · object
required